
file delete -force rings.ssi

set status [ SclFunction "EXIT RING" {
  frm70042={
    {
      _action="apply"
    }
  }
}]

set status [ SclFunction "EXIT GRAPHICS" {
  frm00108={
    {
      exit_mode="E"
    }
  }
}]

set status [ SclFunction "INIT RING" {
  frm70045={
    {
      _action=display
      rings_file="rings.ssi"
    }
  }
}]

set status [ SclFunction "ADD RIG" {
  frm70000={
    {
      _action=display
      name="tutorial"
      rig_width="2"
      max_hole_length="50"
      min_hole_length="5"
      rod_length="1.5"
      carousel_length="2"
      carousel_width_l="0.8"
      carousel_width_r="0.4"
      mast_sharp="0.1"
      mast_blunt="0.25"
      pivot_blunt="1.25"
      pivot_offset="0"
      pivot_min="1.25"
      pivot_max="3"
      pivot_mvt="5"
      method="360 degrees"
      origin="up"
    }
  }
}]

set status [ SclFunction "SELECT RIG" {
  frm70001={
    {
      name="tutorial"
      _action="Default"
    }
    {
      name="tutorial"
    }
  }
}]

set status [ SclFunction "RECALL SECTIONS" {
  frm70006={
    {
      _action=display
      opnloc="1055sec"
      secrange="1,50"
      drive_str="1,2"
      stopeloc="1055sec"
      stope_str="3"
      view_dir="North / East / Above"
    }
  }
}]

set status [ SclFunction "LOAD NEXT SECTION" {} ]

set status [ SclFunction "LOAD NEXT SECTION" {} ]

set status [ SclFunction "LOAD NEXT SECTION" {} ]

set status [ SclFunction "LOAD NEXT SECTION" {} ]

set status [ SclFunction "LOAD NEXT SECTION" {} ]

set status [ SclFunction "LOAD NEXT SECTION" {} ]

set status [ SclFunction "LOAD NEXT SECTION" {} ]

set status [ SclFunction "LOAD NEXT SECTION" {} ]

set status [ SclFunction "NEW POSITION" {
  select_point=table { winx winy objectx objecty objectz } {
    { "0.311" "-0.945" "11462.197" "21650.351" "1053.803" }
    { "0.322" "0.020" "11463.061" "21650.476" "1068.493" }
  }
}]

set status [ SclFunction "DRILLING PARAMETERS" {
  frm70013={
    {
      _action=display
      toe="1.5"
      tolerance="0.1"
      toe_alg="AECI"
      collardist="0.1"
      overdrill="0"
      diameter="0.05"
      ring_direction="clockwise"
      colour="grey"
      breakthrough="0.75"
    }
  }
}]

set status [ SclFunction "SAVE RING DEFAULTS" {
  frm70004={
    {
      _action=display
      rings_file="rings.ssi"
    }
  }
}]
puts ""
puts ""
puts ""
puts "End of macro 03_setup.tcl"
puts ""
puts ""
